---
title: CSSTransformValue()
slug: Web/API/CSSTransformValue/CSSTransformValue
tags:
  - API
  - CSS
  - CSS Typed Object Model API
  - CSSTransformValue
  - Constructor
  - Experimental
  - Houdini
  - Reference
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{Draft}}</div>

<p class="summary">The <strong><code>CSSTransformValue()</code></strong> constructor creates a new {{domxref("CSSTransformValue")}} object which represents a list of individual transform objects.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>CSSTransformValue</var> = new CSSTransformValue(transforms);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>transforms</dt>
 <dd>A list of {{domxref("CSSTransformComponent")}} objects to iterate over.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A new {{domxref("CSSTransformValue")}}.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt>{{jsxref("TypeError")}}</dt>
 <dd>Raised if transforms is empty.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM')}}</td>
   <td>{{Spec2('CSS Typed OM','#csstransformvalue','cssTransformValue')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSTransformValue.CSSTransformValue")}}</p>
